data:extend({

{
    type = "recipe",
    name = "pm-oxygen-capture",
    energy_required = 1,
    ingredients = {},
    result = "pm-oxygen"
},
{
    type = "recipe",
    name = "pm-carbon-dioxide-capture",
    ingredients = {},
    hide_from_player_crafting = true,
    result = "pm-carbon-dioxide"
},
{
    type = "recipe",
    name = "pm-coal-crushing",
    ingredients = {{"coal", 2}},
    energy_required = 4,
     result = "pm-carbon",
    result_count = 10
},

{
    type = "recipe",
    name = "pm-nickel-plate",
    category = "smelting",
    energy_required = 3,
    ingredients = {{"pm-nickel-ore", 1}},
    result = "pm-nickel-plate"
},
{
    type = "recipe",
    name = "pm-zinc-plate",
    category = "smelting",
    energy_required = 3,
    enabled = false,
    ingredients = {{"pm-zinc-ore", 1}},
    result = "pm-zinc-plate"
},
{
    type = "recipe",
    name = "pm-maganese-plate",
    category = "smelting",
    energy_required = 3,
    ingredients = {{"pm-maganese-ore", 1}},
    result = "pm-maganese-plate"
},
{
    type = "recipe",
    name = "pm-silicon-plate",
    category = "smelting",
    energy_required = 3.5,
    hide_from_player_crafting = true,
    ingredients = {{"pm-silicon-ore", 2}},
    result = "pm-silicon-plate"
},
{
    type = "recipe",
    name = "pm-gold-plate",
    category = "smelting",
    energy_required = 3,
    enabled = false,
    ingredients = {{"pm-gold-ore", 1}},
    result = "pm-gold-plate"
},
{
    type = "recipe",
    name = "pm-silver-plate",
    category = "smelting",
    energy_required = 3,
    enabled = false,
    ingredients = {{"pm-silver-ore", 1}},
    result = "pm-silver-plate"
},
{
    type = "recipe",
    name = "pm-molybdenum-plate",
    category = "smelting",
    energy_required = 3,
    enabled = false,
    ingredients = {{"pm-molybdenum-ore", 1}},
    result = "pm-molybdenum-plate"
},
{
    type = "recipe",
    name = "pm-silver-plating",
    energy_required = 1,
    enabled = false,
    ingredients = {{"pm-silver-plate", 2}},
    result = "pm-silver-plating"
},

{
    type = "recipe",
    name = "pm-stone-crushing",
    energy_required = 2,
    ingredients = {{"stone", 4}},
    icon_size = 64,
    subgroup = "pm-processing",
    icon = "__periodic-madness__/graphics/icons/recipes/stone-crushing.png",
    results =
    {
        {"pm-silicon-ore", 1},
        {"pm-sand", 2},
        
    }
},
{
    type = "recipe",
    name = "pm-mercury-powdering",
    energy_required = 2,
    ingredients = {{"pm-mercury-ore", 4}},
    icon_size = 64,
    subgroup = "pm-processing",
    enabled = false,
    icon = "__periodic-madness__/graphics/icons/ores/mercury-ore-icon.png",
    results =
    {
        {"pm-mercury-powder", 4},
        {"pm-red-mercury", 4},
        
    }
},
{
    type = "recipe",
    name = "pm-mercury-liquifying",
    energy_required = 1,
    ingredients = 
    {
        {type = "item", name = "pm-mercury-powder", amount = 2},
        {type = "item", name = "pm-red-mercury", amount = 1},
        {type = "fluid", name = "water", amount = 100}
    },
    icon_size = 64,
    icon = "__periodic-madness__/graphics/icons/liquid-mercury.png",
    subgroup = "pm-acid-crafting",
    category = "pm-acids",
    hide_from_player_crafting = true,
    results =
    {
        {type = "fluid", name = "pm-liquid-mercury", amount = 150},
    }
},
{
    type = "recipe",
    name = "pm-glass-smelting",
    category = "smelting",
    energy_required = 4,
    ingredients = {{"pm-sand", 4}},
    result = "pm-glass-pane"
},
{
    type = "recipe",
    name = "pm-brass-plate",
    energy_required = 4,
    enabled = false,
    ingredients = 
    {
        {"copper-plate", 2},
        {"pm-zinc-plate", 4},
    },
    result = "pm-brass-plate"
},
{
    type = "recipe",
    name = "pm-nickel-silver-alloy",
    energy_required = 3,
    ingredients = 
    {
        {"pm-silver-plate", 2},
        {"pm-nickel-plate", 4},
        {"pm-maganese-powder", 1}
    },
    result = "pm-nickel-silver-alloy"
},
{
    type = "recipe",
    name = "pm-maganese-powder",
    energy_required = 1,
    hide_from_player_crafting = true,
    show_amount_in_title = true,
    subgroup = "pm-ore-decomposition",
    category = "pm-acids",
    ingredients = 
    {
        {type = "item", name = "pm-maganese-plate", amount = 2},
        {type = "fluid", name = "pm-acidic-water", amount = 10},
    },
    result = "pm-maganese-powder",
    result_count = 5
    
},
{
    type = "recipe",
    name = "pm-brass-cogs",
    energy_required = 1,
    enabled = false,
    ingredients = {{"pm-brass-plate", 2}},
    result = "pm-brass-cogs"
},
{
    type = "recipe",
    name = "pm-circuit-breadboard",
    energy_required = 3,
    ingredients =
    {
        {"pm-nickel-plate", 2},
    },
    result = "pm-circuit-breadboard"
},
{
    type = "recipe",
    name = "pm-basic-integrated-circuits",
    energy_required = 1,
    show_amount_in_title = true,
    ingredients = 
    {
        {"iron-plate", 1},
        {"copper-cable", 1},
    },
    result = "pm-basic-integrated-circuits",
    result_count = 3
},
{
    type = "recipe",
    name = "pm-advanced-circuit-breadboard",
    energy_required = 4,
    enabled = false,
    ingredients =
    {
        {"pm-circuit-breadboard", 1},
        {"pm-nickel-silver-alloy", 2},
        {"plastic-bar", 2}
    },
    result = "pm-advanced-circuit-breadboard"
},
{
    type = "recipe",
    name = "pm-advanced-integrated-circuits",
    energy_required = 1,
    show_amount_in_title = true,
    enabled = false,
    ingredients = 
    {
        {"pm-nickel-plate", 1},
        {"pm-gold-wire", 2},
    },
    result = "pm-advanced-integrated-circuits",
    result_count = 3
},
{
    type = "recipe",
    name = "pm-transistors",
    energy_required = 0.5,
    show_amount_in_title = true,
    enabled = false,
    ingredients = 
    {
        {"pm-nickel-plate", 1},
        {"pm-carbon", 20},
    },
    result = "pm-transistors",
    result_count = 2
},
{
    type = "recipe",
    name = "pm-gold-wire",
    energy_required = 0.5,
    show_amount_in_title = true,
    ingredients = {{"pm-gold-plate", 2}},
    result = "pm-gold-wire",
    result_count = 2
},
{
    type = "recipe",
    name = "pm-science-bottle",
    energy_required = 3,
    ingredients = {{"pm-glass-pane", 2}},
    result = "pm-science-bottle"
},
{
    type = "recipe",
    name = "pm-air-filter",
    icon_size = 64,
    icon = "__periodic-madness__/graphics/icons/air-filter.png",
    show_amount_in_title = true,
    ingredients =
    {
        {"pm-carbon", 100},
        {"iron-plate", 2},
    },
    result = "pm-air-filter",
    result_count = 2,
},
{
    type = "recipe",
    name = "pm-transition-metal-clearing",
    energy = 1.5,
    icon_size = 64,
    icon = "__periodic-madness__/graphics/icons/recipes/transition-metals-cleared.png",
    subgroup = "pm-processing",
    ingredients = {{"pm-transition-metals-ore", 5}},
    results = 
    {
        {
            name = "iron-ore",
            probability = "0.2",
            amount = 3,
        },
        {
            name = "pm-nickel-ore",
            probability = "0.5",
            amount = 5,
        },
        {
            name = "pm-zinc-ore",
            probability = "0.1",
            amount = 3,
        },
        {
            name = "pm-maganese-ore",
            probability = "0.5",
            amount = 5,
        }
    }
},
{
    type = "recipe",
    name = "pm-transition-metal-washing",
    energy = 1.5,
    icon_size = 64,
    icon = "__periodic-madness__/graphics/icons/recipes/transition-metals-washed.png",
    subgroup = "pm-processing",
    category = "crafting-with-fluid",
    enabled = false, 
    ingredients =
    {
        {"pm-transition-metals-ore", 7},
        {type = "fluid", name = "water", amount = 100,},
    },
    results = 
    {
        {
            name = "iron-ore",
            probability = "0.5",
            amount = 10,
        },
        {
            name = "pm-nickel-ore",
            probability = "0.3",
            amount = 5,
        },
        {
            name = "pm-zinc-ore",
            probability = "0.4",
            amount = 10,
        },
        {
            name = "pm-maganese-ore",
            probability = "0.3",
            amount = 5,
        },
        {
            name = "copper-ore",
            probability = "0.5",
            amount = 10,
        }
    }
},
{
    type = "recipe",
    name = "pm-water-desaltination",
    icon_size = 64,
    icon = "__periodic-madness__/graphics/icons/recipes/water-desaltination.png",
    subgroup = "pm-acid-crafting",
    category = "pm-acids",
    enabled = false,
    hide_from_player_crafting = true,
    energy_required = 3,
    ingredients = {{type = "fluid", name = "water", amount = 100}},
    results =
    {
            {type = "fluid", name = "water", amount = 80},
            {type = "item", name = "pm-sodium", amount = 5}
    }
},
{
    type = "recipe",
    name = "pm-transition-iron-decomposition",
    icon_size = 64,
    icon = "__periodic-madness__/graphics/icons/recipes/transition-iron-decomposition.png",
    subgroup = "pm-ore-decomposition",
    category = "pm-acids",
    crafting_machine_tint = 
    {
    primary = {r=0,g=0.6,b=0.1,a=1}, --main visible colour
    secondary = {r=0.56,g=0.87,b=1,a=1},--background visible colour
    tertiary = {r=0.66,g=0.91,b=1,a=0.5}, -- smoke afteraffects
    quaternary = {r=0.5,g=0.8,b=0.5,a=1} --smoke
    },
    energy_required = 2,
    ingredients = 
    {
        {type = "item", name = "pm-transition-metals-ore", amount = 10},
        {type = "fluid", name = "pm-hydrochloric-acid",  amount = 100},
    },
    hide_from_player_crafting = true,
    results =
    {
        {"iron-ore", 7},
        {"pm-ferrum", 4},
    }
},
{
    type = "recipe",
    name = "pm-transition-copper-decomposition",
    icon_size = 64,
    icon = "__periodic-madness__/graphics/icons/recipes/transition-copper-decomposition.png",
    subgroup = "pm-ore-decomposition",
    category = "pm-acids",
    crafting_machine_tint = 
    {
    primary = {r=0,g=0.6,b=0.1,a=1}, --main visible colour
    secondary = {r=0.87,g=0.47,b=0,a=1},--background visible colour
    tertiary = {r=0.87,g=0.5,b=0,a=0.5}, -- smoke afteraffects
    quaternary = {r=0.5,g=0.8,b=0.5,a=1} --smoke
    },
    energy_required = 2,
    ingredients = 
    {
        {type = "item", name = "pm-transition-metals-ore", amount = 10},
        {type = "fluid", name = "pm-hydrochloric-acid",  amount = 100},
    },
    hide_from_player_crafting = true,
    results =
    {
        {"copper-ore", 7},
        {"pm-patina", 4},
    }
},
{
    type = "recipe",
    name = "pm-transition-zinc-decomposition",
    icon_size = 64,
    icon = "__periodic-madness__/graphics/icons/recipes/transition-zinc-decomposition.png",
    subgroup = "pm-ore-decomposition",
    category = "pm-acids",
    crafting_machine_tint = 
    {
    primary = {r=0,g=0.6,b=0.1,a=1}, --main visible colour
    secondary = {r=0.63,g=0.64,b=0.78,a=1},--background visible colour
    tertiary = {r=0.73,g=0.7,b=0.88,a=0.5}, -- smoke afteraffects
    quaternary = {r=0.5,g=0.8,b=0.5,a=1} --smoke
    },
    energy_required = 2,
    ingredients = 
    {
        {type = "item", name = "pm-transition-metals-ore", amount = 10},
        {type = "fluid", name = "pm-hydrochloric-acid",  amount = 100},
    },
    hide_from_player_crafting = true,
    results =
    {
        {"pm-zinc-ore", 7},
        {"sulfur", 2},
    }
},
{
    type = "recipe",
    name = "pm-transition-maganese-decomposition",
    icon_size = 64,
    icon = "__periodic-madness__/graphics/icons/recipes/transition-maganese-decomposition.png",
    subgroup = "pm-ore-decomposition",
    category = "pm-acids",
    crafting_machine_tint = 
    {
    primary = {r=0,g=0.6,b=0.1,a=1}, --main visible colour
    secondary = {r=0.07,g=0.08,b=0.38,a=1},--background visible colour
    tertiary = {r=0.07,g=0.08,b=0.4,a=0.5}, -- smoke afteraffects
    quaternary = {r=0.5,g=0.8,b=0.5,a=1} --smoke
    },
    energy_required = 2,
    ingredients = 
    {
        {type = "item", name = "pm-transition-metals-ore", amount = 10},
        {type = "fluid", name = "pm-hydrochloric-acid",  amount = 100},
    },
    hide_from_player_crafting = true,
    results =
    {
        {"pm-maganese-ore", 7},
        {"pm-silica", 4},
    }
},
{
    type = "recipe",
    name = "pm-transition-nickel-decomposition",
    icon_size = 64,
    icon = "__periodic-madness__/graphics/icons/recipes/transition-nickel-decomposition.png",
    subgroup = "pm-ore-decomposition",
    category = "pm-acids",
    crafting_machine_tint = 
    {
    primary = {r=0,g=0.6,b=0.1,a=1}, --main visible colour
    secondary = {r=0.82,g=0.82,b=0.92,a=1},--background visible colour
    tertiary = {r=0.82,g=0.82,b=0.92,a=0.5}, -- smoke afteraffects
    quaternary = {r=0.5,g=0.8,b=0.5,a=1} --smoke
    },
    energy_required = 2,
    ingredients = 
    {
        {type = "item", name = "pm-transition-metals-ore", amount = 10},
        {type = "fluid", name = "pm-hydrochloric-acid",  amount = 100},
    },
    hide_from_player_crafting = true,
    results =
    {
        {"pm-nickel-ore", 7},
        {"sulfur", 2},
    }
},
{
    type = "recipe",
    name = "pm-water-electroylsis",
    icon_size = 64,
    icon = "__periodic-madness__/graphics/icons/recipes/water-electroylsis.png",
    subgroup = "pm-acid-crafting",
    category = "pm-acids",
    energy_required = 4,
    crafting_machine_tint = 
    {
         primary = {r=0,g=0.2,b=0.6,a=1}, --main visible colour
         secondary = {r=1,g=0,b=0,a=1},--background visible colour
         tertiary = {r=0.4,g=0.4,b=0.4,a=0.5}, -- smoke afteraffects
         quaternary = {r=0.5,g=0.5,b=0.5,a=1} --smoke 
    },
    ingredients =
    {
        {type = "fluid", name = "water", amount = 50},
    },
    hide_from_player_crafting = true,
    results =
    {
        {type = "item", name = "pm-oxygen", amount = 10},
        {type = "item", name = "pm-hydrogen", amount = 20},
    }
},
{
    type = "recipe",
    name = "pm-sodium-electroylsis",
    icon_size = 64,
    icon = "__periodic-madness__/graphics/icons/recipes/sodium-electroylsis.png",
    energy_required = 2,
    subgroup = "pm-acid-crafting",
    category = "pm-acids",
    crafting_machine_tint =
    {
        primary = {r=0,g=0.6,b=0.1,a=1}, --main visible colour
        secondary = {r=0,g=0.4,b=0,a=1},--background visible colour
        tertiary = {r=0.4,g=0.6,b=0.4,a=0.5}, -- smoke afteraffects
        quaternary = {r=0.5,g=0.8,b=0.5,a=1} --smoke 
    },
    ingredients = {{"pm-sodium", 5}},
    hide_from_player_crafting = true,
    results =
    {
        {type = "fluid", name = "pm-chlorine", amount = 10},
    }
},
{
    type = "recipe",
    name = "pm-hydrochloric-acid",
    icon_size = 64,
    icon = "__periodic-madness__/graphics/icons/recipes/hydrochloric-acid-recipe.png",
    subgroup = "pm-acid-crafting",
    category = "pm-acids",
    crafting_machine_tint =
    {
        primary = {r=0.98,g=0.87,b=0.09,a=1}, --main visible colour
        secondary = {r=0,g=0.4,b=0,a=1},--background visible colour
        tertiary = {r=0.76,g=0.89,b=0.4,a=0.5}, -- smoke afteraffects
        quaternary = {r=0.5,g=0.8,b=0.5,a=1} --smoke 
    },
    energy_required = 1,
    ingredients = 
    {
        {type = "item", name = "pm-hydrogen", amount = 20},
        {type = "fluid", name = "pm-chlorine", amount = 25},
    },
    hide_from_player_crafting = true,
    results =
    {
        {type = "fluid", name = "pm-hydrochloric-acid", amount = 100}
    }

},
{
    type = "recipe",
    name = "pm-water-acifying",
    icon_size = 64,
    icon = "__periodic-madness__/graphics/icons/acidic-water.png",
    subgroup = "pm-acid-crafting",
    category = "pm-acids",
    crafting_machine_tint =
    {
        primary = {r=0.98,g=0.87,b=0.09,a=1}, --main visible colour
        secondary = {r=0,g=0.4,b=0,a=1},--background visible colour
        tertiary = {r=0.76,g=0.89,b=0.4,a=0.5}, -- smoke afteraffects
        quaternary = {r=0.5,g=0.8,b=0.5,a=1} --smoke 
    },
    energy_required = 2,
    ingredients = 
    {
        {type = "item", name = "sulfur", amount = 5},
        {type = "fluid", name = "water", amount = 50},
    },
    hide_from_player_crafting = true,
    results =
    {
        {type = "fluid", name = "pm-acidic-water", amount = 50}
    }

},
{
    type = "recipe",
    name = "pm-gold-leeching",
    icon_size = 64,
    icon = "__periodic-madness__/graphics/icons/recipes/gold-leeching.png",
    subgroup = "pm-acidic-ore-decomposition",
    category = "pm-acids",
    crafting_machine_tint = 
    {
    primary = {r=0,g=0.6,b=0.1,a=1}, --main visible colour
    secondary = {r=0.82,g=0.82,b=0.92,a=1},--background visible colour
    tertiary = {r=0.82,g=0.82,b=0.92,a=0.5}, -- smoke afteraffects
    quaternary = {r=0.5,g=0.8,b=0.5,a=1} --smoke
    },
    energy_required = 4,
    ingredients = 
    {
        {type = "item", name = "pm-transition-metals-ore", amount = 10},
        {type = "fluid", name = "pm-acidic-water",  amount = 75},
    },
    hide_from_player_crafting = true,
    results =
    {
        {"pm-gold-ore", 10},
    }
},
{
    type = "recipe",
    name = "pm-silver-leeching",
    icon_size = 64,
    icon = "__periodic-madness__/graphics/icons/recipes/silver-leeching.png",
    subgroup = "pm-acidic-ore-decomposition",
    category = "pm-acids",
    crafting_machine_tint = 
    {
    primary = {r=0,g=0.6,b=0.1,a=1}, --main visible colour
    secondary = {r=0.82,g=0.82,b=0.92,a=1},--background visible colour
    tertiary = {r=0.82,g=0.82,b=0.92,a=0.5}, -- smoke afteraffects
    quaternary = {r=0.5,g=0.8,b=0.5,a=1} --smoke
    },
    energy_required = 4,
    ingredients = 
    {
        {type = "item", name = "pm-transition-metals-ore", amount = 10},
        {type = "fluid", name = "pm-acidic-water",  amount = 75},
    },
    hide_from_player_crafting = true,
    results =
    {
        {"pm-silver-ore", 10},
    }
},
{
    type = "recipe",
    name = "pm-molybdenum-leeching",
    icon_size = 64,
    icon = "__periodic-madness__/graphics/icons/recipes/molybdenum-leeching.png",
    subgroup = "pm-acidic-ore-decomposition",
    category = "pm-acids",
    crafting_machine_tint = 
    {
    primary = {r=0,g=0.6,b=0.1,a=1}, --main visible colour
    secondary = {r=0.82,g=0.82,b=0.92,a=1},--background visible colour
    tertiary = {r=0.82,g=0.82,b=0.92,a=0.5}, -- smoke afteraffects
    quaternary = {r=0.5,g=0.8,b=0.5,a=1} --smoke
    },
    energy_required = 4,
    ingredients = 
    {
        {type = "item", name = "pm-transition-metals-ore", amount = 10},
        {type = "fluid", name = "pm-acidic-water",  amount = 75},
    },
    hide_from_player_crafting = true,
    results =
    {
        {"pm-molybdenum-ore", 10},
    }
},
{
    type = "recipe",
    name = "pm-mercury-leeching",
    icon_size = 64,
    icon = "__periodic-madness__/graphics/icons/recipes/mercury-leeching.png",
    subgroup = "pm-acidic-ore-decomposition",
    category = "pm-acids",
    crafting_machine_tint = 
    {
    primary = {r=0,g=0.6,b=0.1,a=1}, --main visible colour
    secondary = {r=0.82,g=0.82,b=0.92,a=1},--background visible colour
    tertiary = {r=0.82,g=0.82,b=0.92,a=0.5}, -- smoke afteraffects
    quaternary = {r=0.5,g=0.8,b=0.5,a=1} --smoke
    },
    energy_required = 4,
    ingredients = 
    {
        {type = "item", name = "pm-transition-metals-ore", amount = 10},
        {type = "fluid", name = "pm-acidic-water",  amount = 75},
    },
    hide_from_player_crafting = true,
    results =
    {
        {"pm-mercury-ore", 10},
    }
},
{
    type = "recipe",
    name = "pm-silicon-ore-forming",
    icon_size = 64,
    icon = "__periodic-madness__/graphics/icons/ores/silicon-ore-icon.png",
    subgroup = "pm-ore-decomposition",
    category = "pm-acids",
    hide_from_player_crafting = true,
    crafting_machine_tint =
    {
        primary = {r=0.98,g=0.87,b=0.09,a=1}, --main visible colour
        secondary = {r=0,g=0.4,b=0,a=1},--background visible colour
        tertiary = {r=0.76,g=0.4,b=0.89,a=0.5}, -- smoke afteraffects
        quaternary = {r=0.81,g=0.808,b=0.89,a=1} --smoke 
    },
    ingredients =
     {
        {"pm-silicon-ore", 1},
        {"pm-silica", 4},
    },
    results =
    {
        {"pm-silicon-ore", 5}
    }
},
{
    type = "recipe",
    name = "pm-voltatic-pile-battery",
    subgroup = "pm-acid-crafting",
    category = "pm-acids",
    energy_required = 4,
    enabled = false,
    ingredients = 
    {
        {"copper-plate", 3},
        {"pm-zinc-plate", 3}
    },
    result = "pm-voltatic-pile-battery"
},
-- building recipes
    {
    type = "recipe",
    name = "pm-acid-plant",
    enabled = false,
    ingredients =
    {
        {type = "item", name = "pm-air-filter", amount = 1},
        {type = "item", name = "iron-gear-wheel", amount = 2},
        {type = "item", name = "pm-nickel-plate", amount = 3},
    },
    result = "pm-acid-plant"
    },
    {
        type = "recipe",
        name = "pm-assembling-machine-0",
        enabled = true,
        ingredients = 
        {
            {"iron-gear-wheel", 2},
            {"pm-nickel-plate", 6},
        },
        result = "pm-assembling-machine-0"
    }
})

local recipes = data.raw.recipe
local function sanitize_recipe(recipe)
    local difficulty = recipe.normal or recipe.expensive
    if difficulty then
        for k, v in pairs(difficulty) do
            recipe[k] = v
        end
        recipe.normal, recipe.expensive = nil, nil
    end
    return recipe
end
sanitize_recipe(recipes["electronic-circuit"]).ingredients =
{
    {"copper-cable", 2},
    {"pm-circuit-breadboard", 1},
    {"pm-basic-integrated-circuits", 3},
}
sanitize_recipe(recipes["assembling-machine-1"]).ingredients =
{
    {"pm-brass-cogs", 3},
    {"iron-plate", 9},
    {"electronic-circuit", 2}
}
sanitize_recipe(recipes["automation-science-pack"]).ingredients =
{
    {"iron-plate", 2},
    {"pm-science-bottle", 1},
    {"pm-nickel-plate", 2},
}
sanitize_recipe(recipes["logistic-science-pack"]).ingredients =
{
    {"pm-gold-plate", 2},
    {"pm-science-bottle", 1},
    {"pm-maganese-plate", 2},
    {"pm-red-mercury", 4}
}
sanitize_recipe(recipes["military-science-pack"]).ingredients =
{
    {"piercing-rounds-magazine", 1},
    {"pm-science-bottle", 1},
    {"stone-wall", 2},
    {"grenade", 1}
}
sanitize_recipe(recipes["chemical-science-pack"]).ingredients =
{
    
    {"advanced-circuit", 3},
    {"pm-science-bottle", 1},
    {"sulfur", 1},
    {"engine-unit", 2}
}
sanitize_recipe(recipes["production-science-pack"]).ingredients =
{
    {"rail", 30},
    {"pm-science-bottle", 1},
    {"productivity-module", 1},
    {"electric-furnace", 1}
}
sanitize_recipe(recipes["utility-science-pack"]).ingredients =
{
    {"processing-unit", 2},
    {"pm-science-bottle", 1},
    {"flying-robot-frame", 1},
    {"low-density-structure", 3}
}

sanitize_recipe(recipes["solar-panel"]).ingredients =
{
    {"pm-voltatic-pile-battery", 1},
    {"pm-silver-plating", 4},
    {"electronic-circuit", 5}
}
sanitize_recipe(recipes["advanced-circuit"]).ingredients =
{
    {"pm-gold-wire", 3},
    {"pm-advanced-circuit-breadboard", 1},
    {"pm-transistors", 2},
    {"pm-advanced-integrated-circuits", 3}
}
--lemme get my 'mic'